import { SchedulerNode } from './node';
export declare class Timer {
    time: number;
    lastTime: number;
    fluctuation: number;
    node: SchedulerNode;
    isStarted: boolean;
    intervalID: number;
    constructor(time: number, node: SchedulerNode);
    start(): void;
    stop(): void;
    schedule(): void;
    handleResolve(): void;
}
